Skip to content

Permanent Registration (Residence) Check

This method is used to check the validity of a Russian citizen's registration at their place of residence.

All requests must include the following request headers:

Name Type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Request signature

The signature is generated using secret_key — the secret key found in the merchant's shop settings.

Verification request

Method: POST

  • Production: https://api.baas.kvell.group/v1/smev3/gismu/reg-validliving
  • Stage: https://api.baas.stage.kvell.group/v1/smev3/gismu/reg-validliving

Request parameters (JSON)

Name
Data type Required Description
last_name string Yes Last name
first_name string Yes First name
middle_name string No Middle name
birth_date string Yes Date of birth in YYYY-MM-DD format
doc json Yes Document data: type, series, number, issue date
typ string enum Yes Document type: passportrf — Russian citizen's passport, foreign — Russian citizen's foreign travel passport, birthcert — birth certificate, actrecord — birth registration record
series string Conditional Document series (for all document types except actrecord)
number string Yes Document number
issue_date string Yes Passport issue date in YYYY-MM-DD format
addr json Yes Document data: type, series, number, issue date
region_oktmo string No Region code by OKTMO
district string No District
settlement string No Settlement
street string No Street
house string No House
building string No Building
flat string No Apartment
guid string Yes Address GUID (FIAS)
from_dt string Yes Registration start date in YYYY-MM-DD format
to_dt string No Registration end date in YYYY-MM-DD format
unstructured string No Unstructured address
{
  "last_name": "Пишенина",
  "first_name": "Жанна",
  "middle_name": "Игнатьевна",
  "birth_date": "1971-12-10",
  "doc": {
    "typ": "passportrf",
    "series": "5181",
    "number": "846600",
    "issue_date": "2014-06-15"
  },
  "addr": {
    "region_oktmo": "string",
    "district": "string",
    "settlement": "string",
    "street": "string",
    "house": "string",
    "building": "string",
    "flat": "string",
    "guid": "4e8bb0d8-6647-41af-9821-b52b20663fa7",
    "from_dt": "2022-03-31",
    "to_dt": "2024-12-12",
    "unstructured": "обл Курганская, р-н Каргапольский, рп Каргаполье, ул Кирова, двлд. 75 к. 75"
  }
}

Building the signature

The X-Signature signature is generated by concatenating X-Api-Key, json <request body> and secret_key. sha256 is computed from the resulting string:

sha256({x-api-key}{json <request body>}{secret_key})

Request response

{
  "request_id": "7663de3c-f5dc-4938-a379-b63834287b8a"
}

request_id — request identifier, used to retrieve the result.

Retrieving the check result

Method: GET

  • Production: https://api.baas.kvell.group/v1/smev3/gismu/reg-validliving/{request_id}
  • Stage: https://api.baas.stage.kvell.group/v1/smev3/gismu/reg-validliving/{request_id}

URL request parameters

Name Data type Required Description
request_id string Yes Request identifier
GET /v1/smev3/gismu/reg-validliving/7663de3c-f5dc-4938-a379-b63834287b8a

Building the signature

The X-Signature signature is generated by concatenating X-Api-Key, request_id and secret_key. sha256 is computed from the resulting string:

sha256({x-api-key}{request_id}{secret_key})

Request response

{
  "state": "in_progress",
  "request_id": "befe8815-24b0-446b-925c-ea128f39667c",
  "response_id": null
}
{
  "state": "finished",
  "request_id": "befe8815-24b0-446b-925c-ea128f39667c",
  "response_id": "df65dc1c-fc66-41cd-abbd-87218127fbeb",
  "result": {
    "reg_info": {
      "region_oktmo": "string",
      "district": "string",
      "settlement": "string",
      "street": "string",
      "house": "string",
      "building": "string",
      "flat": "string",
      "guid": "4e8bb0d8-6647-41af-9821-b52b20663fa7",
      "from_dt": "2022-03-31",
      "to_dt": "2024-12-12",
      "unstructured": "обл Курганская, р-н Каргапольский, рп Каргаполье, ул Кирова, двлд. 75 к. 75"
    },
    "person": {
      "last_name": "Пишенина",
      "first_name": "Жанна",
      "middle_name": "Игнатьевна",
      "birth_date": "1971-12-10"
    },
    "doc": {
      "typ": "passportrf",
      "series": "string",
      "number": "string",
      "issue_date": "string"
    },
    "addr_type": "LIVING",
    "is_valid": true
  }
}
{
  "state": "finished",
  "request_id": "6ed9f77b-c150-4cdb-adcf-9d70d167f6ab",
  "response_id": null,
  "error": {
    "code": "internal",
    "desc": "Error connecting to SMEV"
  }
}
{
  "error": "request not found"
}
  • state — request status
    • in_progress — in progress
    • finished — completed
  • request_id — the request identifier assigned for SMEV3 (optional)
  • response_id — the response identifier in the SMEV3 system, if a response was received from the agency's information system (MVD)
  • result — processing result (required if state = finished and error = null)
    • reg_info — registration data
    • person — individual's data
    • doc — document data: type, series, number, issue date
    • addr_type — registration type: LIVING, STAYING
    • is_valid — registration status: true — the registration is valid, false — invalid, null — no registration information found
  • error — error from the internal service, SMEV, or the agency's information system (required if state = finished and result = null)
    • code — error code (required)
    • desc — error description (required)
    • status_code — HTTP status code from SMEV3 (optional)
    • destname — request field containing the error from SMEV (optional)